*    GETGRO.CMD
*    command file to select a grocery store        
*    RLS - March 1986
STORE t TO nogro
DO WHILE nogro
 ERASE
 USE stores
 RESTORE FROM GRAPHICS ADDITIVE
 @ 1,0 SAY gr:on
 @ 1,1 SAY gr:ltc + gr:line 
 @ 2,1 SAY gr:vert
 @ 3,1 SAY gr:vert
 @ 4,1 SAY gr:vert
 @ 5,1 SAY gr:lbc + gr:line
 @ 5,79 SAY gr:rbc
 @ 4,79 SAY gr:vert
 @ 3,79 SAY gr:vert
 @ 2,79 SAY gr:vert
 @ 1,79 SAY gr:rtc
 @ 6,1 SAY gr:off
 RELEASE ALL LIKE gr:*
 @ 3, 15 SAY "             CHOOSE A STORE: "
          SET INTENSITY ON
 @ 7, 15 SAY "  <X>-choose <CR>-next <B>-backup <S>-skip "
          SET INTENSITY OFF
           SET COLON ON
           STORE 10 TO cntr
           STORE ' ' TO choice
           DO WHILE choice # 'X'
             @ cntr, 10 SAY storeno
             @ cntr, 20 SAY storename
             @ cntr, 55 GET choice PICTURE '!'
             @ $+1,0
             READ
             CLEAR GETS
             DO CASE
               CASE choice = 'B'
                SKIP -1
                STORE ' ' TO choice
               CASE choice = 'X'
                STORE storeno TO gs
                STORE storename TO mstrname
                STORE f TO nogro
               CASE choice = 'S'
                @ cntr, 79
                ACCEPT '          how many? ' TO sno
                SKIP &sno
                RELEASE sno
                STORE ' ' TO choice
               OTHERWISE
                SKIP
              ENDCASE
               STORE 1 + cntr TO cntr
               IF cntr > 21
                STORE 10 TO cntr
               ENDIF                                 
               IF EOF
                STORE 1 + cntr TO cntr
                GOTO TOP
               ENDIF
           ENDDO choice
         ENDDO nogro
    SET COLON OFF
 RETURN
